agency-board
POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay
Send the same payload again.
Pengesahan
Hantar kunci API sebagai token pembawa. Titik akhir ini tidak menyatakan kebenaran tertentu dalam spesifikasi, jadi berikan kunci anda kebenaran minimum yang diperlukan dan semak respons tersebut daripada membuat andaian.
Titik akhir ini tidak memerlukan id organisasi. Kunci anda telah mengenal pasti organisasi kepunyaannya, dan respons dis skopkan kepadanya.
Cuba
Gantikan apa sahaja di dalam kurungan sudut dengan nilai anda sendiri, dan pemegang tempat kunci dengan kunci dari papan pemuka anda.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
-H "Authorization: Bearer zdk_live_…"Sudah log masuk? Konsol API dalam papan pemuka anda mengisi id organisasi sebenar dan kunci anda sendiri, serta menjalankan permintaan terhadap API langsung supaya anda boleh melihat respons sebenar. Buka penamat ini dalam konsol API
Butiran
Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.
Parameter
| Nama | Jenis | Diperlukan | Apakah ia |
|---|---|---|---|
boardId (path) | Uuid | Ya | Project board ID (UUIDv7). |
deliveryId (path) | Uuid | Ya | Webhook delivery ID (UUIDv7). |
Respons
| Nama | Jenis | Diperlukan | Apakah ia |
|---|---|---|---|
id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
subscription_id | Uuid | Ya | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event | string | Ya | — |
delivery_key | string | Ya | Sent as `X-Zinn-Delivery`, so the receiver can dedupe too. |
payload | object | Tidak | The body exactly as it was signed and sent. |
status | BoardWebhookDeliveryStatus | Ya | — |
attempts | integer | Ya | — |
response_status | integer | Tidak | — |
response_snippet | string | Tidak | The first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi… |
next_attempt_at | string | Tidak | — |
delivered_at | string | Tidak | — |
replay_of_id | Uuid | Tidak | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
created_at | string | Ya | — |
Ralat yang boleh dikembalikan oleh titik akhir ini
401 · 403 · 404